API documentation | API docs for agents | OpenAPI 3.1
PATCH /api/v1/loads/{loadId}/dispatches/{dispatchId}/billing/due-date
ark.update_carrier_payment_due_date
Updates the due date for an unpaid carrier payment tied to a visible load dispatch.
- Availability
- Expanded preview
- Scopes
loads:readbilling:write- ARK permissions
canViewLoadscanViewBillingcanMakeAdjustments- Team visibility
- Required and enforced
- Idempotency-Key
- Required for this write
- Approval
- No MCP approval on REST API-token calls
- Rate limit
- API credential and organization budgets
Parameters
loadIdpathstringrequired- format: uuid
dispatchIdpathstringrequired- format: uuid
Idempotency-Keyheaderstringrequired- Required for external write operations. Reuse the same key only for exact retries of the same request body.
- min length: 1; max length: 200
Request body
carrierPaymentIdstringOptional carrier payment ID. Omit to use the carrier payment for the load dispatch.
format: uuid
dueDatestringrequiredNew carrier payment due date in YYYY-MM-DD format.
Example request
Shell
curl -X PATCH 'https://arktms.com/api/v1/loads/<loadId>/dispatches/<dispatchId>/billing/due-date' \
-H "Authorization: Bearer $ARK_API_TOKEN" \
-H "Idempotency-Key: <unique-key>" \
-H "Content-Type: application/json" \
-d '{
"dueDate": "<dueDate>"
}'Success response
Updated carrier payment due date
objectstringrequiredokbooleanrequiredapi_versionstringrequiredrequest_idstringrequireddataobjectrequireddata.loadIdstringrequiredformat: uuid
data.dispatchIdstringrequiredformat: uuid
data.carrierPaymentIdstringrequiredformat: uuid
data.loadobjectrequireddata.dueDatestringrequiredformat: date-time
data.messagestringrequiredErrors
HTTP 400- Invalid request
HTTP 401- Authentication required
HTTP 403- Permission, scope, team, or entitlement denied
HTTP 404- Resource not found
HTTP 409- Idempotency conflict or in-progress retry
HTTP 422- Invalid request